PLaSK library

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
plask::gain::freecarrier::GainSpectrum< BaseT > Struct Template Reference

Cached gain spectrum. More...

`#include <solvers/gain/freecarrier/freecarrier.hpp>`

Collaboration diagram for plask::gain::freecarrier::GainSpectrum< BaseT >:
[legend]

## Public Types
typedef FreeCarrierGainSolver< BaseT >::ActiveRegionParams | ActiveRegionParams

## Public Member Functions
| GainSpectrum (FreeCarrierGainSolver< BaseT > *solver, const Vec< BaseT::SpaceType::DIM > point)
| GainSpectrum (FreeCarrierGainSolver< BaseT > *solver, double T, double n, size_t reg)
void | updateParams ()
void | onChange (ReceiverBase &, ReceiverBase::ChangeReason)
| ~GainSpectrum ()
Tensor2< double > | getGain (double wavelength) const
| Get gain at given wavelength.

## Public Attributes
FreeCarrierGainSolver< BaseT > * | solver
| Source solver.
plask::optional< Vec< BaseT::SpaceType::DIM > > | point
| Point in which the gain is calculated.
size_t | reg
| Active region containing the point.
double | temp
| Temperature.
double | conc
| Concentration.
double | Fc
double | Fv
| Quasi-fermi levels.
std::unique_ptr< ActiveRegionParams > | params
| Active region params.

## Detailed Description

template<typename BaseT>
struct plask::gain::freecarrier::GainSpectrum< BaseT >

Cached gain spectrum.

Definition at line 398 of file freecarrier.hpp.

## Member Typedef Documentation

## ◆ ActiveRegionParams

template<typename BaseT >

typedef FreeCarrierGainSolver<BaseT>::ActiveRegionParams plask::gain::freecarrier::GainSpectrum< BaseT >::ActiveRegionParams

Definition at line 399 of file freecarrier.hpp.

## Constructor & Destructor Documentation

## ◆ GainSpectrum() [1/2]

template<typename BaseT >

plask::gain::freecarrier::GainSpectrum< BaseT >::GainSpectrum | ( | FreeCarrierGainSolver< BaseT > * | solver,
|  | const Vec< BaseT::SpaceType::DIM > | point
| ) |  |
| inline

Definition at line 411 of file freecarrier.hpp.

## ◆ GainSpectrum() [2/2]

template<typename BaseT >

plask::gain::freecarrier::GainSpectrum< BaseT >::GainSpectrum | ( | FreeCarrierGainSolver< BaseT > * | solver,
|  | double | T,
|  | double | n,
|  | size_t | reg
| ) |  |
| inline

Definition at line 427 of file freecarrier.hpp.

## ◆ ~GainSpectrum()

template<typename BaseT >

plask::gain::freecarrier::GainSpectrum< BaseT >::~GainSpectrum | ( |  | ) |
| inline

Definition at line 445 of file freecarrier.hpp.

## Member Function Documentation

## ◆ getGain()

template<typename BaseT >

Tensor2< double > plask::gain::freecarrier::GainSpectrum< BaseT >::getGain | ( | double | wavelength | ) | const
| inline

Get gain at given wavelength.

Parameters

  wavelength | wavelength to get gain

Returns
  gain

Definition at line 455 of file freecarrier.hpp.

## ◆ onChange()

template<typename BaseT >

void plask::gain::freecarrier::GainSpectrum< BaseT >::onChange | ( | ReceiverBase & | ,
|  | ReceiverBase::ChangeReason |
| ) |  |
| inline

Definition at line 438 of file freecarrier.hpp.

## ◆ updateParams()

template<typename BaseT >

void plask::gain::freecarrier::GainSpectrum< BaseT >::updateParams | ( |  | ) |
| inline

Definition at line 432 of file freecarrier.hpp.

## Member Data Documentation

## ◆ conc

template<typename BaseT >

double plask::gain::freecarrier::GainSpectrum< BaseT >::conc

Concentration.

Definition at line 406 of file freecarrier.hpp.

## ◆ Fc

template<typename BaseT >

double plask::gain::freecarrier::GainSpectrum< BaseT >::Fc

Definition at line 407 of file freecarrier.hpp.

## ◆ Fv

template<typename BaseT >

double plask::gain::freecarrier::GainSpectrum< BaseT >::Fv

Quasi-fermi levels.

Definition at line 407 of file freecarrier.hpp.

## ◆ params

template<typename BaseT >

std::unique_ptr<ActiveRegionParams> plask::gain::freecarrier::GainSpectrum< BaseT >::params

Active region params.

Definition at line 409 of file freecarrier.hpp.

## ◆ point

template<typename BaseT >

plask::optional<Vec<BaseT::SpaceType::DIM> > plask::gain::freecarrier::GainSpectrum< BaseT >::point

Point in which the gain is calculated.

Definition at line 402 of file freecarrier.hpp.

## ◆ reg

template<typename BaseT >

size_t plask::gain::freecarrier::GainSpectrum< BaseT >::reg

Active region containing the point.

Definition at line 404 of file freecarrier.hpp.

## ◆ solver

template<typename BaseT >

FreeCarrierGainSolver<BaseT>* plask::gain::freecarrier::GainSpectrum< BaseT >::solver

Source solver.

Definition at line 401 of file freecarrier.hpp.

## ◆ temp

template<typename BaseT >

double plask::gain::freecarrier::GainSpectrum< BaseT >::temp

Temperature.

Definition at line 405 of file freecarrier.hpp.

The documentation for this struct was generated from the following file:

- solvers/gain/freecarrier/freecarrier.hpp